Summary:	WebP image codec libraries - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteki do kodeka obrazów WebP - wersja skrośna MinGW32
Name:		crossmingw32-libwebp
Version:	1.3.2
Release:	1
License:	BSD
Group:		Development/Libraries
#Source0Download: http://downloads.webmproject.org/releases/webp/index.html
Source0:	http://downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz
# Source0-md5:	34869086761c0e2da6361035f7b64771
URL:		https://developers.google.com/speed/webp/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool >= 2:2.2
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
WebP image codec libraries.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteki kodeka obrazów WebP.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static WebP libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki WebP (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static WebP libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki WebP (wersja skrośna MinGW32).

%package dll
Summary:	DLL WebP libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL WebP dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL WebP libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL WebP dla Windows.

%prep
%setup -q -n libwebp-%{version}

sed -i -e 's/libwebp_la_LDFLAGS.*/& -no-undefined/' src/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules \
	--enable-libwebpdemux \
	--enable-libwebpmux

# only chosen dirs to get just the library, no utils
%{__make} -C sharpyuv
%{__make} -C src

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C sharpyuv install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS PATENTS README.md
%{_libdir}/libsharpyuv.dll.a
%{_libdir}/libsharpyuv.la
%{_libdir}/libwebp.dll.a
%{_libdir}/libwebp.la
%{_libdir}/libwebpdemux.dll.a
%{_libdir}/libwebpdemux.la
%{_libdir}/libwebpmux.dll.a
%{_libdir}/libwebpmux.la
%{_includedir}/webp
%{_pkgconfigdir}/libsharpyuv.pc
%{_pkgconfigdir}/libwebp.pc
%{_pkgconfigdir}/libwebpdemux.pc
%{_pkgconfigdir}/libwebpmux.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsharpyuv.a
%{_libdir}/libwebp.a
%{_libdir}/libwebpdemux.a
%{_libdir}/libwebpmux.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libsharpyuv-0.dll
%{_dlldir}/libwebp-7.dll
%{_dlldir}/libwebpmux-3.dll
%{_dlldir}/libwebpdemux-2.dll
%changelog
* Thu Sep 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libwebp.git;a=log;h=master

* Thu Sep 14 2023 Jakub Bogusz <qboosh@pld-linux.org> e799ed4
- updated to 1.3.2 (fixes CVE-2023-4863)

* Thu Jun 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 2a849a7
- updated to 1.3.1

* Sat Jan 14 2023 Jakub Bogusz <qboosh@pld-linux.org> d88b887
- updated to 1.3.0

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> aaba94d
- updated to 1.2.4

* Sun Jul 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 1fe5662
- updated to 1.2.3

* Sat Feb 26 2022 Jakub Bogusz <qboosh@pld-linux.org> d1a8b24
- updated to 1.2.2

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 49e9cfd
- disable debug packages

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 081c34b
- updated to 1.2.1 (security hardening)

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> a835066
- updated to 1.2.0

* Wed Jan 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 18dc993
- updated to 1.1.0

* Sun Sep 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 1e3d43c
- updated to 1.0.3

* Fri Mar 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 1b83337
- updated to 1.0.2

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 0098303
- updated to 1.0.1

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> de28cc0
- updated to 1.0.0

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 47d6550
- updated to 0.4.0

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 8eead14
- updated to 0.3.1

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 0a7e21a
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> c820667
- do not provide pkgconfig deps in system namespace

* Thu Apr 04 2013 Jakub Bogusz <qboosh@pld-linux.org> cc84f5d
- updated to 0.3.0; build mux/demux libraries

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 4066513
- updated to 0.2.1 (security fixes)

